Skip to content

Trigger manual task execution

POST
/api/v1/agents/{role}/execute

Manually enqueue a task for the specified agent.

Authorizations

Parameters

Path Parameters

role
required

The agent role to execute a task

string

The agent role to execute a task

Request Body required

Request body for POST /agents/{role}/execute.

Attributes: task_type: The type of task to execute. input: Optional arbitrary input dict for the task.

object
input
object
key
additional properties
any
task_type
required
string
>= 1 characters <= 100 characters

Responses

202

Successful Response

Wrapper response for POST /agents/{role}/execute.

Attributes: data: The execute result payload.

object
data
required

Payload returned by POST /agents/{role}/execute.

Attributes: task_id: The ID of the created task. agent_role: The agent role executing the task. status: Initial task status (always "pending").

object
agent_role
required
string
status
required
string
task_id
required
string format: uuid

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string